// winpdpView.h : interface of the CWinpdpView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_WINPDPVIEW_H__199E11A2_7EBA_45BC_BDED_6E20BB935101__INCLUDED_)
#define AFX_WINPDPVIEW_H__199E11A2_7EBA_45BC_BDED_6E20BB935101__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
#define RB_SIZE	0x3f

class CWinpdpView : public CEditView
{
protected: // create from serialization only
	CWinpdpView();
	DECLARE_DYNCREATE(CWinpdpView)

// Attributes
public:
	CWinpdpDoc* GetDocument();

	char rb[RB_SIZE];
	int rbHead;
	int rbTail;

	int Raw;


// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CWinpdpView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	//}}AFX_VIRTUAL

// Implementation
public:
	bool bBreak;
	int curFont;
	virtual ~CWinpdpView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CWinpdpView)
	afx_msg void OnChar(UINT nChar, UINT nRepCnt, UINT nFlags);
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnFont();
	afx_msg void OnBreak();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

extern CWinpdpView *gView;

#ifndef _DEBUG  // debug version in winpdpView.cpp
inline CWinpdpDoc* CWinpdpView::GetDocument()
   { return (CWinpdpDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft eMbedded Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_WINPDPVIEW_H__199E11A2_7EBA_45BC_BDED_6E20BB935101__INCLUDED_)
